Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class AsianFontMapper

    java.lang.Object
      com.lowagie.text.pdf.DefaultFontMapper
          com.lowagie.text.pdf.AsianFontMapper

All Implemented Interfaces:
  FontMapper

    public class AsianFontMapper

extends DefaultFontMapper

Nested Class Summary

Nested classes/interfaces inherited from class com.lowagie.text.pdf.DefaultFontMapper
`DefaultFontMapper.BaseFontParameters`

Field Summary
`static String` | `ChineseSimplifiedEncoding_H`
`static String` | `ChineseSimplifiedEncoding_V`
`static String` | `ChineseSimplifiedFont`
`static String` | `ChineseTraditionalEncoding_H`
`static String` | `ChineseTraditionalEncoding_V`
`static String` | `ChineseTraditionalFont_MHei`
`static String` | `ChineseTraditionalFont_MSung`
`private String` | `defaultFont`
`private String` | `encoding`
`static String` | `JapaneseEncoding_H`
`static String` | `JapaneseEncoding_HW_H`
`static String` | `JapaneseEncoding_HW_V`
`static String` | `JapaneseEncoding_V`
`static String` | `JapaneseFont_Go`
`static String` | `JapaneseFont_Min`
`static String` | `KoreanEncoding_H`
`static String` | `KoreanEncoding_V`
`static String` | `KoreanFont_GoThic`
`static String` | `KoreanFont_SMyeongJo`

Constructor Summary
`AsianFontMapper(String font, String encoding)`

Method Summary
`BaseFont` | `awtToPdf(Font font)` Returns a BaseFont which can be used to represent the given AWT Font

Methods inherited from class com.lowagie.text.pdf.DefaultFontMapper
`getAliases, getBaseFontParameters, getMapper, insertDirectory, insertNames, pdfToAwt, putAlias, putName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ChineseSimplifiedFont

    public static final String ChineseSimplifiedFont

See Also:
  Constant Field Values

### ChineseSimplifiedEncoding_H

    public static final String ChineseSimplifiedEncoding_H

See Also:
  Constant Field Values

### ChineseSimplifiedEncoding_V

    public static final String ChineseSimplifiedEncoding_V

See Also:
  Constant Field Values

### ChineseTraditionalFont_MHei

    public static final String ChineseTraditionalFont_MHei

See Also:
  Constant Field Values

### ChineseTraditionalFont_MSung

    public static final String ChineseTraditionalFont_MSung

See Also:
  Constant Field Values

### ChineseTraditionalEncoding_H

    public static final String ChineseTraditionalEncoding_H

See Also:
  Constant Field Values

### ChineseTraditionalEncoding_V

    public static final String ChineseTraditionalEncoding_V

See Also:
  Constant Field Values

### JapaneseFont_Go

    public static final String JapaneseFont_Go

See Also:
  Constant Field Values

### JapaneseFont_Min

    public static final String JapaneseFont_Min

See Also:
  Constant Field Values

### JapaneseEncoding_H

    public static final String JapaneseEncoding_H

See Also:
  Constant Field Values

### JapaneseEncoding_V

    public static final String JapaneseEncoding_V

See Also:
  Constant Field Values

### JapaneseEncoding_HW_H

    public static final String JapaneseEncoding_HW_H

See Also:
  Constant Field Values

### JapaneseEncoding_HW_V

    public static final String JapaneseEncoding_HW_V

See Also:
  Constant Field Values

### KoreanFont_GoThic

    public static final String KoreanFont_GoThic

See Also:
  Constant Field Values

### KoreanFont_SMyeongJo

    public static final String KoreanFont_SMyeongJo

See Also:
  Constant Field Values

### KoreanEncoding_H

    public static final String KoreanEncoding_H

See Also:
  Constant Field Values

### KoreanEncoding_V

    public static final String KoreanEncoding_V

See Also:
  Constant Field Values

### defaultFont

    private final String defaultFont

### encoding

    private final String encoding

Constructor Detail

### AsianFontMapper

    public AsianFontMapper(String font,
                           String encoding)

Method Detail

### awtToPdf

    public BaseFont awtToPdf(Font font)

  Description copied from class: `DefaultFontMapper`
  Returns a BaseFont which can be used to represent the given AWT Font

  Specified by:
    `awtToPdf` in interface `FontMapper`
  Overrides:
    `awtToPdf` in class `DefaultFontMapper`
  Parameters:
    `font` - the font to be converted
  Returns:
    a BaseFont which has similar properties to the provided Font

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD